summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-03-10 09:24:34 +0100
committerHans de Graaff <graaff@gentoo.org>2019-03-10 10:23:47 +0100
commitae0d1eff00547412c336e8f62702940e7663a0f6 (patch)
treeebde6a629dfaba74704a0ab6b3ac2d95574670b6
parentwww-apps/radicale: remanifest (diff)
downloadgentoo-ae0d1eff00547412c336e8f62702940e7663a0f6.tar.gz
gentoo-ae0d1eff00547412c336e8f62702940e7663a0f6.tar.bz2
gentoo-ae0d1eff00547412c336e8f62702940e7663a0f6.zip
dev-ruby/fast_gettext: add 2.0.0
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--dev-ruby/fast_gettext/Manifest1
-rw-r--r--dev-ruby/fast_gettext/fast_gettext-2.0.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-ruby/fast_gettext/Manifest b/dev-ruby/fast_gettext/Manifest
index 2b55a810d1c..28959409037 100644
--- a/dev-ruby/fast_gettext/Manifest
+++ b/dev-ruby/fast_gettext/Manifest
@@ -1,3 +1,4 @@
DIST fast_gettext-1.6.0.tar.gz 88780 BLAKE2B 237a37bf505fe7520a25c6014f0524201905f8cf112624370477229db2d06f7160bad62e42878688ef954a1b72166e21a7f3a89de66c21aec780749fb26cd8bb SHA512 0f26cf8bd8a2078631d32be14fb6bd194dc9bd8a6727a355f4d2978441c972785747063ec4d8b8b1d4c78f07914a8b6cccf37ed85a37e7833bfe724d1d159ae9
DIST fast_gettext-1.7.0.tar.gz 89176 BLAKE2B a42f50570c65ecf229dab0e29ad40ed3fd0f431f59fcc7daff4ad564131751e8a9884d52dfb8f2edd87b6fd5d1267973225fb51f9256844b37c28b251d15d757 SHA512 83c66c4f7bce6ccc08c1fe9e2b3cb71ea751d68bbff36587039a0b7af7e6276cb481debd3668673822455b9805114531547b28a777cafa8bda0f204ba36bf5a9
DIST fast_gettext-1.8.0.tar.gz 89309 BLAKE2B 8ead2922662667c24d07dbc1145002583b1a65edd3cb581ac5bc058560aca38ed083e0470d4834cfdc5abae36f1e8264171b75649343675ab415b28ea2f0e8ab SHA512 0657b5955268166787a32bb74481cd07309018429c21707e061e022d67d5d2448d2d173149f164d16ff5f6c9ffa0feef38369b79daa299e1283fdcdc019ad72e
+DIST fast_gettext-2.0.0.tar.gz 91904 BLAKE2B fc0f752cad55512f502332a8721aa64fe1b3103ecedceac08b82f293575e974e0565b2936ae740e61ef3413919406959c6a78709ddc737b3e7decd710eafbd46 SHA512 f997a63ecccc3a8836e191b8cdcb5ba0e260bedef4cc55efeecb12c1fb3a469cc98e9e565ac773392a2bdf266618a76c8d34b0522d5447967fb85f4dfeea3c10
diff --git a/dev-ruby/fast_gettext/fast_gettext-2.0.0.ebuild b/dev-ruby/fast_gettext/fast_gettext-2.0.0.ebuild
new file mode 100644
index 00000000000..8dcd539813f
--- /dev/null
+++ b/dev-ruby/fast_gettext/fast_gettext-2.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GetText but 3.5x faster, 560x less memory, clean namespace and threadsave!"
+HOMEPAGE="https://github.com/grosser/fast_gettext"
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler )"
+
+all_ruby_prepare() {
+ rm Gemfile.lock || die
+
+ # Remove jeweler and bump from Gemfile since they are not needed for tests.
+ sed -i -e '/jeweler/d' -e '/bump/d' -e '/appraisal/d' Gemfile || die
+ sed -i -e '/single/I s:^:#:' spec/spec_helper.rb || die
+ sed -i -e '/SingleCov/ s:^:#:' spec/{*,*/*}/*spec.rb || die
+
+ # Avoid unneeded dependency on git and development dependencies.
+ sed -e '/git ls-files/ s:^:#:' \
+ -e '/\(wwtd\|bump\|sqlite3\|activerecord\|i18n\|single_cov\|forking_test_runner\|rubocop\)/ s:^:#:' \
+ -i fast_gettext.gemspec || die
+
+ # Avoid a test dependency on activerecord since this is now in the
+ # dependency tree for app-admin/puppet and many arches don't have
+ # rails keyworded.
+ sed -i -e '/active_record/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/fast_gettext/translation_repository/db_spec.rb || die
+ rm -f spec/fast_gettext/storage_spec.rb || die
+ sed -i -e '/with i18n loaded/,/^ end/ s:^:#:' spec/fast_gettext/vendor/string_spec.rb || die
+
+ # Don't run a test that requires safe mode which we can't provide
+ # due to insecure directory settings for the portage dir. This spec
+ # also calls out to ruby which won't work with different ruby
+ # implementations.
+ sed -i -e '/can work in SAFE mode/,/^ end/ s:^:#:' spec/fast_gettext/translation_repository/mo_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the right ruby interpreter is used
+ sed -i -e "s:bundle exec ruby:bundle exec ${RUBY}:" spec/fast_gettext/vendor/*spec.rb || die
+}